Subject: bug#14321: Documentation doesn't refer to set-scroll-bar-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2019 22:07:38 -0700

"José Luis González" <[email-masked]> writes:

> Info documentation for emacs 24.2.1 instructs in section "21.22 Scroll Bars"
> that "To control the use of scroll bars at startup, customize the variable
> `scroll-bar-mode'." However it fails to mention that it must be done by
> calling set-scroll-bar-mode, since directly setting the variable has no real
> effect. This is explained in the built-in documentation for the variable, but
> not in the Info documentation.

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

As the doc string also says:

---
Setting the variable with a customization buffer also takes effect.
---

So I think the manual is correct here, although it uses "customize the
variable" in one specific sense; i.e., you have to use Customize -- you
can't just set it with `setq' or the like.

I've added a link to the Customization node here as a further hint in
Emacs 27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no